## gnu.regexp
Interface CharIndexed

All Known Implementing Classes:
  CharIndexedCharArray, CharIndexedInputStream, CharIndexedString, CharIndexedStringBuffer

interface CharIndexed

Field Summary
`static char` `OUT_OF_BOUNDS`

Method Summary
`char` `charAt(int index)`
`boolean` `isValid()`
`boolean` `move(int index)`

Field Detail

### OUT_OF_BOUNDS

    public static final char OUT_OF_BOUNDS

See Also:
  Constant Field Values

Method Detail

### charAt

    public char charAt(int index)

### move

    public boolean move(int index)

### isValid

    public boolean isValid()